# Icon

## Download

> Save the published resource icon to a specified directory. The command returns the full path (with filename) of the saved published resource icon.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Icon":{"get":{"tags":["3-Publishing//0-Basic Operations"],"summary":"Download","description":"Save the published resource icon to a specified directory. The command returns the full path (with filename) of the saved published resource icon.","operationId":"50acdaf1-69a2-487b-8450-81555238b2a6","parameters":[{"name":"id","in":"path","description":"ID of the published resource of which the icon will be retrieved","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"query","description":"The format of the icon to be retrieved","schema":{"$ref":"#/components/schemas/IconFormat"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"IconFormat":{"enum":[["0 = ICO","1 = PNG"]],"type":"string","description":"<para type=\"synopsis\">Icon Format</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Publish a resource icon file name. Can be an executable (.exe), a .dll or a .ico file.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Icon":{"post":{"tags":["3-Publishing//0-Basic Operations"],"summary":"Update","description":"Publish a resource icon file name. Can be an executable (.exe), a .dll or a .ico file.","operationId":"8c212012-bb01-4a12-9fa0-af4be53c75d6","parameters":[{"name":"IconIndex","in":"query","description":"Index of the icon to be loaded from the binary specified in the Icon property(optional)","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"path","description":"ID of the published resource for which the icon will be updated","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"iconfile":{"type":"string","description":"Upload File","format":"binary"}}}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/icon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
